
#include <avr/io.h>
#include <avr/interrupt.h>


uint8_t spi_flags = 0;
volatile uint8_t count = 0;

void init_master()
{
	DDRB |= (1<<PB2) | (1<<PB3) | (1<<PB5);		//SS,MOSI,SCK Output
	PORTB |= (1<<PB2);							//SS high initialisieren
	SPCR = (1<<7) | (1<<6) | (1<<4);			//Aktiviere SPI,SPI Interrupt und SPI Master
	spi_flags = SPSR;
}

void master_transmit (uint8_t spi_data) {
	PORTB ^= (0<<PB2);						//SS am Slave Low --> Beginn der bertragung
	SPDR = spi_data;						//Schreiben der Daten

	 while(!(SPSR & (1<<SPIF)));		// Warte auf verschicken des Bytes
	if (spi_data == 0xff) 				// Testausgabe auf LED
	{
		PORTC= (1<<PC0);
	}
	else if (spi_data == 0x00) 
	{	
		PORTC= (0<<PC0);
	}
	PORTB ^= (1<<PB2);						//SS High --> Ende der bertragung
}

void init_timer1 (void) {
	// Konfiguration Taktteiler = 1024
   TCCR1B |= (1<<CS10) | (1<<CS11);
	TCNT1 = 0;
   // Konfiguration Interrupt
   TIMSK |= (1<<TOIE1);
}

ISR(SPI_STC_vect)
{	spi_flags = SPSR;			//Clear Register
}

ISR(TIMER1_OVF_vect)
{	
	if (count == 1) 
	{
		master_transmit (0xff);		// bermittle FF
		count--;
	}
	else if (count == 0) 
	{	
		master_transmit (0x00);		//bermittle 00
		count++;
	}
}


int main(void)
{	
	init_master();
	init_timer1();
	DDRC = 0x01;			//Kontroll-LED konfigurieren
	
	sei();
    while(1)
    {
        
    }
}
