
#include <avr/io.h>
#include <avr/interrupt.h>

uint8_t spi_data;
uint8_t spi_flags;

void init_slave()
{
	DDRB |= (1<<PB4);			//MISO wird Output
	SPCR |= (1<<7) | (1<<6);	//Aktiviere SPI und SPI Interrupt
}

ISR(SPI_STC_vect)
{
	spi_flags = SPSR;			// Lese Flags
	spi_data = SPDR;			// Lese RX-Register
	
	if (spi_data == 0x0f)	
	{	PORTC = 0x01;			// Kontrollanzeige
		PORTD = 0x00;			//LEDs aus
	}	
	if (spi_data == 0xff)
	{	
		PORTC = 0x00;			// Kontrollanzeige
		PORTD = 0x0C;			//LEDs an
	}	
}


int main(void)
{	DDRD = 0x0C;				//PD2+3 fr LED-Output
	DDRC = 0x01;				//Kontroll-LED
	
	init_slave();
	sei();						//Interrupt Enable
    while(1)
    {
    }
}
